#include "mbed.h"
#include "SLCD.h"
#include "tsi_sensor.h"

// Very simple program to read the analog slider and print its value
// on the LCD. Also flashes the RED led.
// -- Al Williams

/* This defines will be replaced by PinNames soon */
#if defined (TARGET_KL25Z) || defined (TARGET_KL46Z)
  #define ELEC0 9
  #define ELEC1 10
#elif defined (TARGET_KL05Z)
  #define ELEC0 9
  #define ELEC1 8
#else
  #error TARGET NOT DEFINED
#endif

    TSIAnalogSlider tsi(ELEC0, ELEC1, 40);
    
        

DigitalOut gpo(D0);
DigitalOut led(LED_RED);


    SLCD slcd;
int main()
{
    while (true) {
        float f=tsi.readPercentage();
        slcd.printf("%1.3f",f);
        led = !led; // toggle led
        wait(0.2f);
    }
}